{
	saved_FirstTime [1]
		
	Init[()
	{
		if(saved_FirstTime = 1)
		{
			saved_FirstTime = 0;
			//  SetNationality(2);
			Level.Log("am I getting to the cars init?");
			ShowEntity(true);
			SetUsable(false);
		}
	}]
	
	OnUse[()
	{
		SetPosition(2457, 1971);
		SetPassable(true);
		ShowEntity(false);
		SetUsable(false);
		Level.GetEntity("naziint").GoTime();
		Level.GetEntity("sgt").SetState_Idle();
		Level.GetPlayer().StopSound(70);
		Level.saved_playklaxxon = 0;
		
		Level.SetCellBlocking( 88, 11, false);
		Level.SetCellBlocking( 88, 12, false);
		Level.SetCellBlocking( 88, 13, false);
		Level.SetCellBlocking( 88, 14, false);
		Level.SetCellBlocking( 88, 15, false);
		Level.SetCellBlocking( 88, 16, false);
		Level.SetCellBlocking( 88, 17, false);
		Level.SetCellBlocking( 88, 18, false);
		Level.SetCellBlocking( 88, 19, false);
		Level.SetCellBlocking( 88, 20, false);
		Level.SetCellBlocking( 88, 21, false);
		Level.SetCellBlocking( 88, 22, false);
		Level.SetCellBlocking( 88, 23, false);
		Level.SetCellBlocking( 88, 24, false);
		Level.SetCellBlocking( 88, 25, false);
		Level.SetCellBlocking( 88, 26, false);
		Level.SetCellBlocking( 88, 27, false);
		Level.SetCellBlocking( 88, 28, false);
		Level.SetCellBlocking( 88, 29, false);
		Level.SetCellBlocking( 88, 30, false);
		Level.SetCellBlocking( 88, 31, false);
		Level.SetCellBlocking( 88, 32, false);	
	}]
	
	CarOn[()
	{
		if(Level.saved_incarenable = 1)
		{		
			SetUsable(true);
			SetUseText(149);	
		}	
	}]	
}